#include <stdio.h>
#include <stdlib.h>
#include <math.h>
typedef struct novcic
{
    int x, y;
}novcic;
int main()
{
    int N, brojPoteza=0;
    scanf("%d", &N);
    novcic* novcici=malloc(sizeof(novcic)*N);
    for(int i=0;i<N;i++)
    {
        scanf("%d %d", &novcici[i].x, &novcici[i].y);
    }
    int x, y;
    for(int i=0;i<N;i++)
    {
        for(int j=i;j<N;j++)
        {
            if(novcici[i].x>novcici[j].x)
            {
                x=novcici[i].x;
                novcici[i].x=novcici[j].x;
                novcici[j].x=x;
                y=novcici[i].y;
                novcici[i].y=novcici[j].y;
                novcici[j].y=y;
            }
        }
    }
    for(int i=0;i<N;i++)
    {
        brojPoteza+=abs(i-novcici[i].x+1);
    }
    for(int i=0;i<N;i++)
    {
        for(int j=i;j<N;j++)
        {
            if(novcici[i].y>novcici[j].y)
            {
                x=novcici[i].x;
                novcici[i].x=novcici[j].x;
                novcici[j].x=x;
                y=novcici[i].y;
                novcici[i].y=novcici[j].y;
                novcici[j].y=y;
            }
        }
    }
    for(int i=0;i<N;i++)
    {
        brojPoteza+=abs(i-novcici[i].y+1);
    }
    printf("%d", brojPoteza);
    return 0;
}